Name:          libmygpo-qt
Summary:       Qt/C++ Library wrapping the gPodder.net Webservice
Group:         Graphical desktop/KDE
Version:       1.0.0
Release:       %mkrel 2
License:       GPLv3
URL:           https://github.com/ase23/libmygpo-qt
Source0:       http://stefan.derkits.at/files/libmygpo-qt/%{name}.%{version}.tar.gz
BuildRequires: cmake
BuildRequires: qjson-devel
BuildRequires: qt4-devel

%description 
libmygpo-qt is a Qt Library that wraps the gpodder.net Web API 
(http://wiki.gpodder.org/wiki/Web_Services/API_2)

v1.0 wraps nearly every Request from the gpodder.net API except:
-) Simple API Calls Downloading subscription Lists & Uploading subscription 
   Lists
-) Retrieving Subscription Changes (you should use "Retrieving Updates for a 
   given Device" instead)

%files 
%defattr(-,root,root)
#-------------------------------------------------------------------------------
%define mygpoqt_major 1
%define libmygpoqt %mklibname mygpo-qt %{mygpoqt_major}

%package -n %{libmygpoqt}
Summary: Qt/C++ Library wrapping the gPodder.net Webservice
%description -n %{libmygpoqt}
Qt/C++ Library wrapping the gPodder.net Webservice

%files -n %{libmygpoqt}
%defattr(-,root,root)
%_libdir/libmygpo-qt.so.%{mygpoqt_major}*


#-------------------------------------------------------------------------------
%define mygpodevel %mklibname mygpo-qt -d


%package -n %{mygpodevel}
Summary: Devel stuff for %name
Group: Development/KDE and Qt
Provides: %{name}-devel = %{version}-%{release}
Requires: %{libmygpoqt} = %{version}-%{release}

%description -n %{mygpodevel}
This package contains header files needed if you wish to build applications
based on %{name} .

%files -n %{mygpodevel}
%defattr(-,root,root)
%_includedir/mygpo-qt/AddRemoveResult.h
%_includedir/mygpo-qt/ApiRequest.h
%_includedir/mygpo-qt/Device.h
%_includedir/mygpo-qt/DeviceList.h
%_includedir/mygpo-qt/DeviceUpdates.h
%_includedir/mygpo-qt/Episode.h
%_includedir/mygpo-qt/EpisodeAction.h
%_includedir/mygpo-qt/EpisodeActionList.h
%_includedir/mygpo-qt/EpisodeList.h
%_includedir/mygpo-qt/JsonCreator.h
%_includedir/mygpo-qt/Podcast.h
%_includedir/mygpo-qt/PodcastList.h
%_includedir/mygpo-qt/RequestHandler.h
%_includedir/mygpo-qt/Settings.h
%_includedir/mygpo-qt/Tag.h
%_includedir/mygpo-qt/TagList.h
%_includedir/mygpo-qt/UrlBuilder.h
%_includedir/mygpo-qt/mygpo_export.h
%_libdir/pkgconfig/libmygpo-qt.pc
%_libdir/libmygpo-qt.so


#-----------------------------------------------------------------------------

%prep
%setup -q -n %name.%version

%build
%cmake_qt4
%make

%install
rm -rf %buildroot

%makeinstall_std -C build


%clean
rm -fr %buildroot


%changelog
* Thu Mar 24 2011 boklm <boklm> 1.0.0-2.mga1
+ Revision: 76179
- rebuild for bug #497

* Tue Mar 22 2011 mikala <mikala> 1.0.0-1.mga1
+ Revision: 75440
- imported package libmygpo-qt

